local addonInfo, privateVars = ...

---------- init namespace ---------

local data        = privateVars.data

---------- resource data information ---------

data.resourceData = {

  ["RESOURCE.ORE.COPPER"] = {path = "ore03a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.THALASIT"] = {path = "ore13b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.RHENIUM"] = {path = "ore02.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.KARTHITE"] = {path = "ore13.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.CARMINTIUM"] = {path = "ore12.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.TITANIUM"] = {path = "ore07.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.TIN"] = {path = "ore11a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.CHROMITE"] = {path = "ore02a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.COBALT"] = {path = "ore11b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.IRON"] = {path = "ore03b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.SILVER"] = {path = "ore08.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.GOLD"] = {path = "ore06a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.ORICHALCUM"] = {path = "ore17.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.GANTIMITE"] = {path = "ore04b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.ORE.PLATINUM"] = {path = "ore09.dds", width = 24, height = 24, layer = 9},
      
  ["RESOURCE.WOOD.SAGEBRUSH"] = {path = "sagebrush.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.RUNEBIRCH"] = {path = "runebirch_log_b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.MADROSA"] = {path = "wood6a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.YEWLOG"] = {path = "softwood.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.SHADETHORN"] = {path = "wood5a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.KINGSWOOD"] = {path = "wood4.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.ASHWOOD"] = {path = "wood5.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.MAHOGANY"] = {path = "wood1a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.OAK"] = {path = "wood2.dds", width = 24, height = 24, layer = 9}, 
  --["RESOURCE.WOOD.BIRCH"] = {path = "indicator_gathering_wood.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.ELM"] = {path = "wood1.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.WOOD.LINDEN"] = {path = "wood8.dds", width = 24, height = 24, layer = 9}, 
        
  ["RESOURCE.PLANTS.BASILISKWEED"] = {path = "plant30.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.BLOODSHADE"] = {path = "plant40.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.DRAKEFOOT"] = {path = "plant26a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.TEMPESTFLOWER"] = {path = "plant25a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.LUCIDFLOWER"] = {path = "plant22.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.SARLEAF"] = {path = "plant38f.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.GRIEVEBLOSSOM"] = {path = "plant48.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.TATTERTWIST"] = {path = "plant7c.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.CREEPER"] = {path = "plant3.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.COASTALGLORY"] = {path = "plant12.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.GOLDENNETTLE"] = {path = "plant31a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.KRAKENWEED"] = {path = "plant34.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.WYVERNSPURR"] = {path = "plant26.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.ROCORCHID"] = {path = "plant33b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.TWILIGHT"] = {path = "plant29.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.FRAZZLE"] = {path = "plant36b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.CHIMERASCLOAK"] = {path = "plant10a.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.DUSKGLORY"] = {path = "plant2b.dds", width = 24, height = 24, layer = 9}, 
  ["RESOURCE.PLANTS.RAZORBRUSH"] = {path = "plant43.dds", width = 24, height = 24, layer = 9}, 
                            
  ["RESOURCE.FISH"] = {path = "fish_43.dds", width = 24, height = 24, layer = 9},
  
  ["RESOURCE.ARTIFACT"] = {path = "ench_material_15_b.dds", width = 24, height = 24, layer = 9},
  ["RESOURCE.ARTIFACT.NORMAL"] = {path = "ench_material_15_b.dds", width = 24, height = 24, layer = 9},
  ["RESOURCE.ARTIFACT.TWISTED"] = {path = "ench_material_15a.dds", width = 24, height = 24, layer = 9},
  ["RESOURCE.ARTIFACT.UNSTABLE"] = {path = "ench_material_15.dds", width = 24, height = 24, layer = 9},
  ["RESOURCE.ARTIFACT.FAEYULE"] = {path = "giftbox1.dds", width = 24, height = 24, layer = 9},
  ["RESOURCE.ARTIFACT.BOAT"] = {path = "dim_boat_01.dds", width = 24, height = 24, layer = 9},
  
}

data.customElements = {
  ["POI.PUZZLE"]      = {addon = "nkCartographer", path = "gfx/puzzle.png", width = 32, height = 32, minZoom = 1, layer = 81},
  ["POI.ACHIEVEMENT"] = {path = "icon_menu_achievements.png.dds", width = 32, height = 32, minZoom = 1, layer = 81},
  ["POI.CAIRN"]       = {addon = "nkCartographer", path = "gfx/cairn.png", width = 32, height = 32, layer = 81},
}


data.customPOIs = {
  z3DBE218325519634 = { ["z3DBE218325519634cpoi1"] = { coordX = 5870, coordZ = 6219, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi2"] = { coordX = 5560, coordZ = 6230, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi3"] = { coordX = 5461, coordZ = 6006, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi4"] = { coordX = 6314, coordZ = 6228, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi5"] = { coordX = 6707, coordZ = 5988, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi6"] = { coordX = 6436, coordZ = 6424, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi7"] = { coordX = 6034, coordZ = 6509, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi8"] = { coordX = 5625, coordZ = 5686, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z3DBE218325519634cpoi9"] = { coordX = 5996, coordZ = 6128, DE = "Schlafen bei den Fischen", EN = "Sleeping with the Fishes", type = "POI.PUZZLE" },
                      },
  z000000069C1F0227 = { ["z000000069C1F0227cpoi1"] = { coordX = 6436, coordZ = 6424, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" },
                        ["z000000069C1F0227cpoi2"] = { coordX = 6034, coordZ = 6509, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" }
                      },
  z00000013CAF21BE3 = { ["z00000013CAF21BE3cpoi1"] = { coordX = 5625, coordZ = 5686, DE = "Nach Trost suchen", EN = "Seeking Solace", type = "POI.ACHIEVEMENT" } },
  z0000000CB7B53FD7 = { ["z0000000CB7B53FD7cpoi1"] = { coordX = 6415, coordZ = 3155, DE = "Rätselraten auf dem Dach der Welt", EN = "Puzzled at the Top of the World", type = "POI.PUZZLE" },
                        ["z0000000CB7B53FD7cpoi2"] = { coordX = 6345, coordZ = 2317, DE = "Steingrab von Miron Sturmhammer", EN = "Cairn of Miron Sternhammer", type = "POI.CAIRN" } 
                      },
  z585230E5F68EA919 = { ["z585230E5F68EA919cpoi1"] = { coordX = 4577, coordZ = 4976, DE = "Drehscheiben", EN = "Spinning Plates", type = "POI.PUZZLE" },
                        ["z585230E5F68EA919cpoi2"] = { coordX = 5898, coordZ = 5033, DE = "Steingrab von Bahar Fernwind", EN = "Cairn of Bahar Farwind", type = "POI.CAIRN" },
                        ["z585230E5F68EA919cpoi3"] = { coordX = 5327, coordZ = 5364, DE = "Steingrab von Nasreen Tahleed", EN = "Cairn of Nasreen Tahleed", type = "POI.CAIRN" },
                        ["z585230E5F68EA919cpoi4"] = { coordX = 4664, coordZ = 5006, DE = "Steingrab von Valta Klippenwind", EN = "Cairn of Valta Cliffswind", type = "POI.CAIRN" }
                      },
  z0000001B2BB9E10E = { ["z0000001B2BB9E10Ecpoi1"] = { coordX = 4540, coordZ = 2380, DE = "Schildwall", EN = "Shield Wall", type = "POI.PUZZLE" },
                        ["z0000001B2BB9E10Ecpoi2"] = { coordX = 5576, coordZ = 3210, DE = "Steingrab von Nylaan Sternfeuer", EN = "Cairn of Nylaan Starhearth", type = "POI.CAIRN" },
                      },
  z019595DB11E70F58 = { ["z019595DB11E70F58cpoi1"] = { coordX = 3629, coordZ = 2755, DE = "Ein Fass voller Lacher", EN = "A Barrel of Laughs", type = "POI.PUZZLE" },
                        ["z019595DB11E70F58cpoi2"] = { coordX = 4654, coordZ = 3097, DE = "Steingrab von Faraz Massi", EN = "Cairn of Faraz Massi", type = "POI.CAIRN" },
                      },
  z000000142C649218 = { ["z000000142C649218cpoi1"] = { coordX = 3125, coordZ = 4427, DE = "Wundwald im Fackelschein", EN = "Scarwood by Torchlight", type = "POI.PUZZLE" },
                        ["z000000142C649218cpoi2"] = { coordX = 4075, coordZ = 4443, DE = "Steingrab von Engel Malik", EN = "Cairn of Engel Malik", type = "POI.CAIRN" },
                      },
  z0000001804F56C61 = { ["z0000001804F56C61cpoi1"] = { coordX = 6459, coordZ = 1178, DE = "Lasst Euch treiben", EN = "Go With The Flow", type = "POI.PUZZLE" },
                        ["z0000001804F56C61cpoi2"] = { coordX = 5348, coordZ = 2239, DE = "Steingrab von Roma Gammult", EN = "Cairn of Roma Gammult", type = "POI.CAIRN" },
                      },
  z1416248E485F6684 = { ["z1416248E485F6684cpoi1"] = { coordX = 8340, coordZ = 6200, DE = "Nur nicht so verschlossen", EN = "Don't Be Cagey", type = "POI.PUZZLE" },
                        ["z1416248E485F6684cpoi2"] = { coordX = 9161, coordZ = 6927, DE = "Steingrab von Murgo Vachir", EN = "Cairn of Mongo Vachir", type = "POI.CAIRN" },
                      },
  z00000016EB9ECBA5 = { ["z00000016EB9ECBA5cpoi1"] = { coordX = 3750, coordZ = 2270, DE = "Spuren im Schnee", EN = "Tracks in the Snow", type = "POI.PUZZLE" },
                        ["z00000016EB9ECBA5cpoi2"] = { coordX = 4980, coordZ = 1865, DE = "Steingrab von Harwin Kalmar", EN = "Cairn of Harwin Kalmar", type = "POI.CAIRN" },
                      },
  z000000069C1F0227 = { ["z000000069C1F0227cpoi1"] = { coordX = 6420, coordZ = 7715, DE = "Ein klassischer Schatz", EN = "A Classic Treasure", type = "POI.PUZZLE" },
                        ["z000000069C1F0227cpoi2"] = { coordX = 7535, coordZ = 7170, DE = "Steingrab von Qara Chuluun", EN = "Cairn of Qara Chuluun", type = "POI.CAIRN" },
                      },
  z0000001A4AF8CD7A = { ["z0000001A4AF8CD7Acpoi1"] = { coordX = 1720, coordZ = 2320, DE = "Fledermäuse hüten", EN = "Herding Bats", type = "POI.PUZZLE" },
                        ["z0000001A4AF8CD7Acpoi2"] = { coordX = 1585, coordZ = 1862, DE = "Steingrab von Thera Valnir", EN = "Cairn of Thera Valnir", type = "POI.CAIRN" },
                      },
  z698CB7B72B3D69E9 = { ["z698CB7B72B3D69E9cpoi1"] = { coordX = 7775, coordZ = 11059, DE = "Steingrab von Queny Sulgar" , EN = "Cairn of Queny Sulgar", type = "POI.CAIRN" },
                        ["z698CB7B72B3D69E9cpoi2"] = { coordX = 6436, coordZ = 11012, DE = "Steingrab von Ashsh Tonavor", EN = "Cairn of Ashsa Tonavar", type = "POI.CAIRN" },
                        ["z698CB7B72B3D69E9cpoi3"] = { coordX = 7435, coordZ = 12195, DE = "Steingrab von Ina'eme Sarus", EN = "Cairn of Ina’eme Sarus", type = "POI.CAIRN" },
                      },
  z754553DD46F46371 = { ["z754553DD46F46371cpoi1"] = { coordX = 7097, coordZ = 8583, DE = "Steingrab von Warsul Icero", EN = "Cairn of Warsul Icero", type = "POI.CAIRN" },
                        ["z754553DD46F46371cpoi2"] = { coordX = 7266, coordZ = 9340, DE = "Steingrab von Nunmempeh Batshinshin", EN = "Cairn of Nunmemph Batshinshin", type = "POI.CAIRN" },
                        ["z754553DD46F46371cpoi3"] = { coordX = 7168, coordZ = 8300, DE = "Steingrab von Irque Guemech", EN = "Cairn of Irque Guemech", type = "POI.CAIRN" },
                        ["z754553DD46F46371cpoi4"] = { coordX = 7016, coordZ = 9749, DE = "Stadtritter", EN = "City Knights", type = "POI.PUZZLE" },
                      },
  z48530386ED2EA5AD = { ["z48530386ED2EA5ADcpoi1"] = { coordX = 8090, coordZ = 9630, DE = "Steingrab von Tathon I'rilgar", EN = "Cairn of Tathon I’rilgar", type = "POI.CAIRN" },
                        ["z48530386ED2EA5ADcpoi2"] = { coordX = 9095, coordZ = 8387, DE = "Steingrab von Banald Warver", EN = "Cairn of Banald Warver", type = "POI.CAIRN" },
                        ["z48530386ED2EA5ADcpoi3"] = { coordX = 7530, coordZ = 8881, DE = "Steingrab von Oryp Namap", EN = "Cairn of Oryp Namap", type = "POI.CAIRN" },
                        ["z48530386ED2EA5ADcpoi4"] = { coordX = 8817, coordZ = 8713, DE = "Sumpflinge erschrecken", EN = "Bogling Boggle", type = "POI.PUZZLE" },
                      },
  z4D8820D7EF52685C = { ["z4D8820D7EF52685Ccpoi1"] = { coordX = 6231, coordZ = 7239, DE = "Steingrab von Niey Tiran", EN = "Cairn of Niey Tiran", type = "POI.CAIRN" },
                        ["z4D8820D7EF52685Ccpoi2"] = { coordX = 5607, coordZ = 8071, DE = "Steingrab von Is'bur Oughverund", EN = "Cairn of Is’bur Oughverund", type = "POI.CAIRN" },
                        ["z4D8820D7EF52685Ccpoi3"] = { coordX = 4054, coordZ = 9089, DE = "Steingrab von Skeltorard Perdyn", EN = "Cairn of Skeltorard Perdyn", type = "POI.CAIRN" },
                        ["z4D8820D7EF52685Ccpoi4"] = { coordX = 4813, coordZ = 8675, DE = "Komische Königinnen", EN = "Quizzical Queens", type = "POI.PUZZLE" },
                      },
  z563CB77E4A32233F = { ["z563CB77E4A32233Fcpoi1"] = { coordX = 4830, coordZ = 10188, DE = "Steingrab von Riduf Enthurn", EN = "Cairn of Riduf Enthurn", type = "POI.CAIRN" },
                        ["z563CB77E4A32233Fcpoi2"] = { coordX = 5846, coordZ = 9837, DE = "Steingrab von Yer'shyi Att", EN = "Cairn of Yer’shyi Att", type = "POI.CAIRN" },
                        ["z563CB77E4A32233Fcpoi3"] = { coordX = 5879, coordZ = 10714, DE = "Kurzschluss", EN = "Short Circuit", type = "POI.PUZZLE" },
                      },
  z2F1E4708BEC6A608 = { ["z2F1E4708BEC6A608cpoi1"] = { coordX = 4081, coordZ = 7124, DE = "Steingrab von Okalu Prev", EN = "Cairn of Okalu Prev", type = "POI.CAIRN" },
                        ["z2F1E4708BEC6A608cpoi2"] = { coordX = 2663, coordZ = 7112, DE = "Steingrab von Omoos'i Itnal", EN = "Cairn of Omoos’I Itnal", type = "POI.CAIRN" },
                        ["z2F1E4708BEC6A608cpoi3"] = { coordX = 2083, coordZ = 6035, DE = "Steingrab von Orn Tonall", EN = "Cairn of Orn Tonall", type = "POI.CAIRN" },
                      },
  z10D7E74AB6D7B293 = { ["z10D7E74AB6D7B293cpoi1"] = { coordX = 2960, coordZ = 4554, DE = "Steingrab von Morbur Atl Itther", EN = "Cairn of Morbur Atl Itther", type = "POI.CAIRN" },
                        ["z10D7E74AB6D7B293cpoi2"] = { coordX = 3985, coordZ = 5926, DE = "Steingrab von Uomu Tonig", EN = "Cairn of Uomu Tonig", type = "POI.CAIRN" },
                        ["z10D7E74AB6D7B293cpoi3"] = { coordX = 4536, coordZ = 4274, DE = "Steingrab von Ildbur Reled", EN = "Cairn of Ildbur Reled", type = "POI.CAIRN" },
                        ["z10D7E74AB6D7B293cpoi4"] = { coordX = 4404, coordZ = 4241, DE = "Verlockung des Todes", EN = "To Die For", type = "POI.PUZZLE" },
                      },
  z1C938C07F41C83CC = { ["z1C938C07F41C83CCcpoi1"] = { coordX = 8486, coordZ = 5896, DE = "Steingrab von Omight Tonig", EN = "Cairn of Omight Tonig", type = "POI.CAIRN" },
                        ["z1C938C07F41C83CCcpoi2"] = { coordX = 7448, coordZ = 4077, DE = "Steingrab von Tirror Awaya", EN = "Cairn of Tirror Awaya", type = "POI.CAIRN" },
                      },
  z59124F7DD7F15825 = { ["z59124F7DD7F15825cpoi1"] = { coordX = 10580, coordZ = 4802, DE = "Steingrab von Vesdar Doc", EN = "Cairn of Vesdar Doc", type = "POI.CAIRN" },
                        ["z59124F7DD7F15825cpoi2"] = { coordX = 11253, coordZ = 3609, DE = "Steingrab von Sayiss Vernys", EN = "Cairn of Sayiss Vernys", type = "POI.CAIRN" },
                        ["z59124F7DD7F15825cpoi3"] = { coordX = 11352, coordZ = 6188, DE = "Getüpfelt, nicht kariert", EN = "Going Dotty", type = "POI.PUZZLE" },
                      },
  z39095BA75AD7DC03 = { ["z39095BA75AD7DC03cpoi1"] = { coordX = 12333, coordZ = 4716, DE = "Steingrab von Osm", EN = "Cairn of Osm", type = "POI.CAIRN" },
                        ["z39095BA75AD7DC03cpoi2"] = { coordX = 15703, coordZ = 6072, DE = "Steingrab von Lunibe", EN = "Cairn of Lunibe", type = "POI.CAIRN" },
                        ["z39095BA75AD7DC03cpoi3"] = { coordX = 12640, coordZ = 7348, DE = "Steingrab von Urari Urari", EN = "Cairn of Urari Urari", type = "POI.CAIRN" },
                        ["z39095BA75AD7DC03cpoi4"] = { coordX = 12617, coordZ = 7428, DE = "Schwarze Kiste", EN = "Black Box", type = "POI.PUZZLE" },
                      },
  z2F9C9E1FF91F9293 = { ["z2F9C9E1FF91F9293cpoi1"] = { coordX = 15594, coordZ = 7395, DE = "Steingrab von Fevok Beleen", EN = "Cairn of Fevok Beleen", type = "POI.CAIRN" },
                      },
  z11173F9D259DAADE = { ["z11173F9D259DAADEcpoi1"] = { coordX = 12763, coordZ = 11718, DE = "Omi", EN = "Omi ", type = "POI.PUZZLE" },
                      },
  z0000012E087E78E1 = { ["z0000012E087E78E1cpoi1"] = { coordX = 5768, coordZ = 5016, DE = "Codeknacker!", EN = "Code Breaker!", type = "POI.PUZZLE" },
                      },
  z0000012D6EEBB377 = { ["z0000012D6EEBB377cpoi1"] = { coordX = 3015, coordZ = 5975, DE = "Erstaunlich!", EN = "Amazing!", type = "POI.PUZZLE" },
                      },
  z0000012F14279B5A = { ["z0000012F14279B5Acpoi1"] = { coordX = 5979, coordZ = 2954, DE = "Eingerahmt", EN = "Boxed In", type = "POI.PUZZLE" },
                      },
}